Bug 1248179 - gnome-keyring version <3.16.0-3 breaks opengpg smartcard device functionality
gnome-keyring version <3.16.0-3 breaks opengpg smartcard device functionality
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
22
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 15:36 EDT by Ricky Burgin
Modified: 2016-07-19 15:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:54:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 773304 None None None Never

  None (edit)
Description Ricky Burgin 2015-07-29 15:36:07 EDT
Description of problem:

Adequately described on the Debian bugtracker: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=773304


Version-Release number of selected component (if applicable):
3.16.0-1.fc22

How reproducible:
100%

Steps to Reproduce:
1. Insert openpgp smart card (in my case, a YubiKey NEO)
2. Open terminal, type gpg --card-status
3. Experience mild disappointment and frustration

Actual results:
[rburgin@Ricky-PC ~]$ gpg --card-status
gpg: pcsc_establish_context failed: no service (0x8010001d)
gpg: card reader not available
gpg: OpenPGP card not available: general error

Expected results:
The status of my card

Additional info:
Comment 1 Stef Walter 2015-08-03 03:56:44 EDT
gnome-keyring 3.17.4 (and thus 3.18.x) no longer has a gpg-agent. The upstream gnupg2 agent is used instead. This bug will be fixed at that point.
Comment 2 Ricky Burgin 2015-08-03 08:57:10 EDT
Thanks Stef, how best can I work around this until a >=3.17.4 release reaches Fedora updates/updates-testing? Any idea when to expect that to happen?
Comment 3 Mike McCune 2016-03-28 19:03:07 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Fedora End Of Life 2016-07-19 15:54:02 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.